Description

If a package is uploaded to Metacat/DataONE and it aggregates another package, the Metadata View should display this hierarchal
structure - right now the Metadata View only queries for package components that are of format type Metadata or Data.

History

#1 - 09/01/2015 08:40 AM - Lauren Walker
- Status changed from New to In Progress

- % Done changed from 0 to 70

#2 - 09/01/2015 12:23 PM - Matt Jones

The prototype looks great. | was thinking more about the new display of packages after our call, and | have a few more suggestions that | talked over
with Bryce. | think the table listings are now super prominent, and they overshadow the overall data citation at the top. Its very easy for my eye to
skip right over the citation and focus on the tables, especially with their prominent headers. Its not clear that the lists of packages are part of the
overall citation. So, here are some suggested visual changes that might help make that 'containment' be more apparent. Could you evaluate these
and try some of them out to see if they help make it clearer that the tables are part of the overall package?

1) Make the text of the citation larger in font

1a) Possibly add a 'Cite this data as:' label somewhere up around the citation string (I'm not sure about this, and would need to see it)

2) Make the headers of the tables half of their current height, so they are one line tall, and collapse the text onto one line; possibly mute the header
background color so they aren't so bold

3) Indent the tables to the same level as the indented fields under 'General' to indicate that the tables/packages are contained within the current
package

4) Possibly add labels in the table headers explaining each more, e.g.,:

4a) Current data set (1 of 3), Identifier: walkertest.1.1 (View full details)

4b) Referenced data set (2 of 3), Identifier: urn:uuid:28b4a537-e9cd-418b-b425-1432c6426614 (View full details)

4c) Referenced data set (3 of 3), Identifier: urn:uuid:df7aabd3-e173-4c86-8d50-fe5fada89658 (View full details)

Let me know if you want to talk this over more. Thanks.
#3 - 09/02/2015 01:21 PM - Lauren Walker
Made some of those styling changes and used the phrasing "Related data sets" instead of "referenced" after getting feedback from Rachael Blake

and Jessica Couture.

#4 - 09/02/2015 02:17 PM - Lauren Walker

- Status changed from In Progress to Resolved

#5 - 09/02/2015 02:17 PM - Lauren Walker
- % Done changed from 70 to 100

#6 - 09/02/2015 04:47 PM - Lauren Walker

Nested tables are now collapsed - See latest version here: https:/dev.nceas.ucsb.edu/#view/chi_meta3.1.1

#7 - 09/02/2015 05:57 PM - Matt Jones

Looks great, Lauren. Let's ship it.

| think we still need to discuss the prominence of the leading citation (and easy ways to copy the citation), but that can be a separate task from
releasing the hierarchical package display.
